import{S as Ph,i as Ah,s as Nh,e as a,k as h,w as x,t as p,M as Ih,c as i,d as t,m as g,a as l,x as T,h as m,b as j,G as e,g as k,y as b,q as M,o as O,B as y,v as Lh,L as z}from"../../../chunks/vendor-hf-doc-builder.js";import{T as ue}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as ne}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as S}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Dh(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Xh(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function Uh(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function Wh(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Bh(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),d=a("code"),u=p("pooler_output"),f=p(" as output):"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example of custom tasks(e.g. a sentence transformers taking "),d=i(v,"CODE",{});var E=l(d);u=m(E,"pooler_output"),E.forEach(t),f=m(v," as output):"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function Hh(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p("(only if the task is supported):"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,"(only if the task is supported):"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function Qh(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Vh(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function Gh(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function Jh(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function Kh(q){let s,_,d,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of image classification:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of image classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function Yh(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function Zh(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function eg(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">28996</span>]`}}),{c(){s=a("p"),_=p("Example of feature extraction:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of feature extraction:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function tg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-masked-lm")
fill_masker = pipeline("fill-mask", model=model, tokenizer=tokenizer)

text = "The capital of France is [MASK]."
pred = fill_masker(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-masked-lm&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(<span class="hljs-string">&quot;fill-mask&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = fill_masker(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function og(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function ng(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of mutliple choice:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of mutliple choice:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function sg(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function rg(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),_=p("Example of question answering:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of question answering:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function ag(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function ig(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function lg(q){let s,_,d,u,f;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),_=p("Example of semantic segmentation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of semantic segmentation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function pg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function mg(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function dg(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function cg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function ug(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function hg(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=a("p"),_=p("Example of single-label classification:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of single-label classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function gg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function fg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),_=p("Example using zero-shot-classification "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using zero-shot-classification "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function _g(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function $g(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),_=p("Example of text generation:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of text generation:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function vg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipeline"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipeline"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function kg(q){let s,_,d,u,f;return{c(){s=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),u=p("Module"),f=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=i(r,"CODE",{});var w=l(d);u=m(w,"Module"),w.forEach(t),f=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(n,r){k(n,s,r),e(s,_),e(s,d),e(d,u),e(s,f)},d(n){n&&t(s)}}}function wg(q){let s,_,d,u,f;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=a("p"),_=p("Example of token classification:"),d=h(),x(u.$$.fragment)},l(n){s=i(n,"P",{});var r=l(s);_=m(r,"Example of token classification:"),r.forEach(t),d=g(n),T(u.$$.fragment,n)},m(n,r){k(n,s,r),e(s,_),k(n,d,r),b(u,n,r),f=!0},p:z,i(n){f||(M(u.$$.fragment,n),f=!0)},o(n){O(u.$$.fragment,n),f=!1},d(n){n&&t(s),n&&t(d),y(u,n)}}}function xg(q){let s,_,d,u,f,n,r,w;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),_=p("Example using "),d=a("code"),u=p("transformers.pipelines"),f=p(":"),n=h(),x(r.$$.fragment)},l(c){s=i(c,"P",{});var v=l(s);_=m(v,"Example using "),d=i(v,"CODE",{});var E=l(d);u=m(E,"transformers.pipelines"),E.forEach(t),f=m(v,":"),v.forEach(t),n=g(c),T(r.$$.fragment,c)},m(c,v){k(c,s,v),e(s,_),e(s,d),e(d,u),e(s,f),k(c,n,v),b(r,c,v),w=!0},p:z,i(c){w||(M(r.$$.fragment,c),w=!0)},o(c){O(r.$$.fragment,c),w=!1},d(c){c&&t(s),c&&t(n),y(r,c)}}}function Tg(q){let s,_,d,u,f,n,r,w,c,v,E,it,Wn,ho,hi,Bn,gi,ma,F,go,fi,Hn,_i,$i,fo,vi,Qn,ki,wi,xi,Vn,Ti,bi,_o,he,Mi,Gn,Oi,yi,Jn,ji,qi,Kn,Ei,Ri,Fi,ge,Ci,Yn,Si,zi,Zn,Pi,Ai,es,Ni,Ii,Li,ts,Di,Xi,se,$o,Ui,os,Wi,Bi,Hi,vo,Qi,ko,Vi,Gi,Ji,re,Ki,ns,Yi,Zi,ss,el,tl,rs,ol,nl,as,sl,rl,al,wo,il,is,ll,pl,ml,ls,dl,cl,lt,xo,ul,ps,hl,gl,pt,To,fl,bo,_l,ms,$l,vl,kl,mt,Mo,wl,ds,xl,Tl,dt,Oo,bl,cs,Ml,da,Ae,ct,us,yo,Ol,hs,yl,ca,ae,jo,jl,gs,ql,El,ut,qo,Rl,Eo,Fl,fs,Cl,Sl,zl,Q,Ro,Pl,Ne,Al,_s,Nl,Il,$s,Ll,Dl,Xl,ht,Ul,gt,Wl,ft,ua,Ie,_t,vs,Fo,Bl,ks,Hl,ha,N,Co,Ql,ws,Vl,Gl,So,Jl,xs,Kl,Yl,Zl,Ts,ep,tp,V,zo,op,Le,np,bs,sp,rp,Ms,ap,ip,lp,$t,pp,vt,mp,kt,ga,De,wt,Os,Po,dp,ys,cp,fa,I,Ao,up,js,hp,gp,No,fp,qs,_p,$p,vp,Es,kp,wp,G,Io,xp,Xe,Tp,Rs,bp,Mp,Fs,Op,yp,jp,xt,qp,Tt,Ep,bt,_a,Ue,Mt,Cs,Lo,Rp,Ss,Fp,$a,L,Do,Cp,zs,Sp,zp,Xo,Pp,Ps,Ap,Np,Ip,As,Lp,Dp,J,Uo,Xp,We,Up,Ns,Wp,Bp,Is,Hp,Qp,Vp,Ot,Gp,yt,Jp,jt,va,Be,qt,Ls,Wo,Kp,Ds,Yp,ka,D,Bo,Zp,Xs,em,tm,Ho,om,Us,nm,sm,rm,Ws,am,im,K,Qo,lm,He,pm,Bs,mm,dm,Hs,cm,um,hm,Et,gm,Rt,fm,Ft,wa,Qe,Ct,Qs,Vo,_m,Vs,$m,xa,X,Go,vm,Gs,km,wm,Jo,xm,Js,Tm,bm,Mm,Ks,Om,ym,de,Ko,jm,Ve,qm,Ys,Em,Rm,Zs,Fm,Cm,Sm,St,zm,zt,Ta,Ge,Pt,er,Yo,Pm,tr,Am,ba,U,Zo,Nm,or,Im,Lm,en,Dm,nr,Xm,Um,Wm,sr,Bm,Hm,Y,tn,Qm,Je,Vm,rr,Gm,Jm,ar,Km,Ym,Zm,At,ed,Nt,td,It,Ma,Ke,Lt,ir,on,od,lr,nd,Oa,W,nn,sd,pr,rd,ad,sn,id,mr,ld,pd,md,dr,dd,cd,Z,rn,ud,Ye,hd,cr,gd,fd,ur,_d,$d,vd,Dt,kd,Xt,wd,Ut,ya,Ze,Wt,hr,an,xd,gr,Td,ja,ie,ln,bd,fr,Md,Od,Bt,pn,yd,mn,jd,_r,qd,Ed,Rd,ee,dn,Fd,et,Cd,$r,Sd,zd,vr,Pd,Ad,Nd,Ht,Id,Qt,Ld,Vt,qa,tt,Gt,kr,cn,Dd,wr,Xd,Ea,B,un,Ud,xr,Wd,Bd,hn,Hd,Tr,Qd,Vd,Gd,br,Jd,Kd,A,gn,Yd,ot,Zd,Mr,ec,tc,Or,oc,nc,sc,Jt,rc,Kt,ac,Yt,ic,Zt,Ra,nt,eo,yr,fn,lc,jr,pc,Fa,le,_n,mc,qr,dc,cc,to,$n,uc,vn,hc,Er,gc,fc,_c,te,kn,$c,st,vc,Rr,kc,wc,Fr,xc,Tc,bc,oo,Mc,no,Oc,so,Ca,rt,ro,Cr,wn,yc,Sr,jc,Sa,H,xn,qc,zr,Ec,Rc,Tn,Fc,Pr,Cc,Sc,zc,Ar,Pc,Ac,oe,bn,Nc,at,Ic,Nr,Lc,Dc,Ir,Xc,Uc,Wc,ao,Bc,io,Hc,lo,za;return n=new ne({}),ho=new ne({}),go=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L129"}}),xo=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L574",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),To=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L304"}}),Mo=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L169"}}),Oo=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L271",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),yo=new ne({}),jo=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L525"}}),qo=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L592"}}),Ro=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L533"}}),ht=new ue({props:{$$slots:{default:[Dh]},$$scope:{ctx:q}}}),gt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Xh]},$$scope:{ctx:q}}}),ft=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Uh]},$$scope:{ctx:q}}}),Fo=new ne({}),Co=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1585"}}),zo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1590"}}),$t=new ue({props:{$$slots:{default:[Wh]},$$scope:{ctx:q}}}),vt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Bh]},$$scope:{ctx:q}}}),kt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Hh]},$$scope:{ctx:q}}}),Po=new ne({}),Ao=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L821"}}),Io=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L828"}}),xt=new ue({props:{$$slots:{default:[Qh]},$$scope:{ctx:q}}}),Tt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Vh]},$$scope:{ctx:q}}}),bt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Gh]},$$scope:{ctx:q}}}),Lo=new ne({}),Do=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1397"}}),Uo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1404"}}),Ot=new ue({props:{$$slots:{default:[Jh]},$$scope:{ctx:q}}}),yt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Kh]},$$scope:{ctx:q}}}),jt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Yh]},$$scope:{ctx:q}}}),Wo=new ne({}),Bo=new R({props:{name:"class optimum.onnxruntime.ORTModelForMaskedLM",anchor:"optimum.onnxruntime.ORTModelForMaskedLM",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L915"}}),Qo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L922"}}),Et=new ue({props:{$$slots:{default:[Zh]},$$scope:{ctx:q}}}),Rt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example",$$slots:{default:[eg]},$$scope:{ctx:q}}}),Ft=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example-2",$$slots:{default:[tg]},$$scope:{ctx:q}}}),Vo=new ne({}),Go=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1301"}}),Ko=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1308"}}),St=new ue({props:{$$slots:{default:[og]},$$scope:{ctx:q}}}),zt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[ng]},$$scope:{ctx:q}}}),Yo=new ne({}),Zo=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1008"}}),tn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1015"}}),At=new ue({props:{$$slots:{default:[sg]},$$scope:{ctx:q}}}),Nt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[rg]},$$scope:{ctx:q}}}),It=new S({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[ag]},$$scope:{ctx:q}}}),on=new ne({}),nn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1486"}}),rn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1493"}}),Dt=new ue({props:{$$slots:{default:[ig]},$$scope:{ctx:q}}}),Xt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[lg]},$$scope:{ctx:q}}}),Ut=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[pg]},$$scope:{ctx:q}}}),an=new ne({}),ln=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L742"}}),pn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L840"}}),dn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L753"}}),Ht=new ue({props:{$$slots:{default:[mg]},$$scope:{ctx:q}}}),Qt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[dg]},$$scope:{ctx:q}}}),Vt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[cg]},$$scope:{ctx:q}}}),cn=new ne({}),un=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1120"}}),gn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1127"}}),Jt=new ue({props:{$$slots:{default:[ug]},$$scope:{ctx:q}}}),Kt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[hg]},$$scope:{ctx:q}}}),Yt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[gg]},$$scope:{ctx:q}}}),Zt=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[fg]},$$scope:{ctx:q}}}),fn=new ne({}),_n=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L845"}}),$n=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L945"}}),kn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L866"}}),oo=new ue({props:{$$slots:{default:[_g]},$$scope:{ctx:q}}}),no=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[$g]},$$scope:{ctx:q}}}),so=new S({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[vg]},$$scope:{ctx:q}}}),wn=new ne({}),xn=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1213"}}),bn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1220"}}),ao=new ue({props:{$$slots:{default:[kg]},$$scope:{ctx:q}}}),io=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[wg]},$$scope:{ctx:q}}}),lo=new S({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[xg]},$$scope:{ctx:q}}}),{c(){s=a("meta"),_=h(),d=a("h1"),u=a("a"),f=a("span"),x(n.$$.fragment),r=h(),w=a("span"),c=p("Models"),v=h(),E=a("h2"),it=a("a"),Wn=a("span"),x(ho.$$.fragment),hi=h(),Bn=a("span"),gi=p("ORTModel"),ma=h(),F=a("div"),x(go.$$.fragment),fi=h(),Hn=a("p"),_i=p("Base class for implementing models using ONNX Runtime."),$i=h(),fo=a("p"),vi=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Qn=a("code"),ki=p("optimum.exporters.onnx"),wi=p(" toolchain."),xi=h(),Vn=a("p"),Ti=p("Class attributes:"),bi=h(),_o=a("ul"),he=a("li"),Mi=p("model_type ("),Gn=a("code"),Oi=p("str"),yi=p(", "),Jn=a("em"),ji=p("optional"),qi=p(", defaults to "),Kn=a("code"),Ei=p('"onnx_model"'),Ri=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Fi=h(),ge=a("li"),Ci=p("auto_model_class ("),Yn=a("code"),Si=p("Type"),zi=p(", "),Zn=a("em"),Pi=p("optional"),Ai=p(", defaults to "),es=a("code"),Ni=p("AutoModel"),Ii=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),Li=h(),ts=a("p"),Di=p("Common attributes:"),Xi=h(),se=a("ul"),$o=a("li"),Ui=p("model ("),os=a("code"),Wi=p("ort.InferenceSession"),Bi=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Hi=h(),vo=a("li"),Qi=p("config ("),ko=a("a"),Vi=p("PretrainedConfig"),Gi=p(" \u2014 The configuration of the model."),Ji=h(),re=a("li"),Ki=p("use_io_binding ("),ns=a("code"),Yi=p("bool"),Zi=p(", "),ss=a("em"),el=p("optional"),tl=p(", defaults to "),rs=a("code"),ol=p("True"),nl=p(") \u2014 Whether to use I/O bindings with "),as=a("strong"),sl=p(`ONNX Runtime
with the CUDAExecutionProvider`),rl=p(", this can significantly speedup inference depending on the task."),al=h(),wo=a("li"),il=p("model_save_dir ("),is=a("code"),ll=p("Path"),pl=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),ml=h(),ls=a("li"),dl=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),cl=h(),lt=a("div"),x(xo.$$.fragment),ul=h(),ps=a("p"),hl=p("Instantiate a pretrained model from a pre-trained model configuration."),gl=h(),pt=a("div"),x(To.$$.fragment),fl=h(),bo=a("p"),_l=p("Loads an ONNX Inference session with a given provider. Default provider is "),ms=a("code"),$l=p("CPUExecutionProvider"),vl=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),kl=h(),mt=a("div"),x(Mo.$$.fragment),wl=h(),ds=a("p"),xl=p("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Tl=h(),dt=a("div"),x(Oo.$$.fragment),bl=h(),cs=a("p"),Ml=p("Changes the ONNX Runtime provider according to the device."),da=h(),Ae=a("h2"),ct=a("a"),us=a("span"),x(yo.$$.fragment),Ol=h(),hs=a("span"),yl=p("ORTModelForCausalLM"),ca=h(),ae=a("div"),x(jo.$$.fragment),jl=h(),gs=a("p"),ql=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),El=h(),ut=a("div"),x(qo.$$.fragment),Rl=h(),Eo=a("p"),Fl=p("Returns True to validate the check that the model using "),fs=a("code"),Cl=p("GenerationMixin.generate()"),Sl=p(" can indeed generate."),zl=h(),Q=a("div"),x(Ro.$$.fragment),Pl=h(),Ne=a("p"),Al=p("The "),_s=a("code"),Nl=p("ORTModelForCausalLM"),Il=p(" forward method, overrides the "),$s=a("code"),Ll=p("__call__"),Dl=p(" special method."),Xl=h(),x(ht.$$.fragment),Ul=h(),x(gt.$$.fragment),Wl=h(),x(ft.$$.fragment),ua=h(),Ie=a("h2"),_t=a("a"),vs=a("span"),x(Fo.$$.fragment),Bl=h(),ks=a("span"),Hl=p("ORTModelForCustomTasks"),ha=h(),N=a("div"),x(Co.$$.fragment),Ql=h(),ws=a("p"),Vl=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Gl=h(),So=a("p"),Jl=p("This model inherits from [~"),xs=a("code"),Kl=p("onnxruntime.modeling_ort.ORTModel"),Yl=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Zl=h(),Ts=a("p"),ep=p("Model for any custom tasks if the ONNX model is stored in a single file."),tp=h(),V=a("div"),x(zo.$$.fragment),op=h(),Le=a("p"),np=p("The "),bs=a("code"),sp=p("ORTModelForCustomTasks"),rp=p(" forward method, overrides the "),Ms=a("code"),ap=p("__call__"),ip=p(" special method."),lp=h(),x($t.$$.fragment),pp=h(),x(vt.$$.fragment),mp=h(),x(kt.$$.fragment),ga=h(),De=a("h2"),wt=a("a"),Os=a("span"),x(Po.$$.fragment),dp=h(),ys=a("span"),cp=p("ORTModelForFeatureExtraction"),fa=h(),I=a("div"),x(Ao.$$.fragment),up=h(),js=a("p"),hp=p("Onnx Model with a BaseModelOutput for feature-extraction tasks."),gp=h(),No=a("p"),fp=p("This model inherits from [~"),qs=a("code"),_p=p("onnxruntime.modeling_ort.ORTModel"),$p=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),vp=h(),Es=a("p"),kp=p("Feature Extraction model for ONNX."),wp=h(),G=a("div"),x(Io.$$.fragment),xp=h(),Xe=a("p"),Tp=p("The "),Rs=a("code"),bp=p("ORTModelForFeatureExtraction"),Mp=p(" forward method, overrides the "),Fs=a("code"),Op=p("__call__"),yp=p(" special method."),jp=h(),x(xt.$$.fragment),qp=h(),x(Tt.$$.fragment),Ep=h(),x(bt.$$.fragment),_a=h(),Ue=a("h2"),Mt=a("a"),Cs=a("span"),x(Lo.$$.fragment),Rp=h(),Ss=a("span"),Fp=p("ORTModelForImageClassification"),$a=h(),L=a("div"),x(Do.$$.fragment),Cp=h(),zs=a("p"),Sp=p("Onnx Model for image-classification tasks."),zp=h(),Xo=a("p"),Pp=p("This model inherits from [~"),Ps=a("code"),Ap=p("onnxruntime.modeling_ort.ORTModel"),Np=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ip=h(),As=a("p"),Lp=p("Image Classification model for ONNX."),Dp=h(),J=a("div"),x(Uo.$$.fragment),Xp=h(),We=a("p"),Up=p("The "),Ns=a("code"),Wp=p("ORTModelForImageClassification"),Bp=p(" forward method, overrides the "),Is=a("code"),Hp=p("__call__"),Qp=p(" special method."),Vp=h(),x(Ot.$$.fragment),Gp=h(),x(yt.$$.fragment),Jp=h(),x(jt.$$.fragment),va=h(),Be=a("h2"),qt=a("a"),Ls=a("span"),x(Wo.$$.fragment),Kp=h(),Ds=a("span"),Yp=p("ORTModelForMaskedLM"),ka=h(),D=a("div"),x(Bo.$$.fragment),Zp=h(),Xs=a("p"),em=p("Onnx Model with a MaskedLMOutput for masked language modeling tasks."),tm=h(),Ho=a("p"),om=p("This model inherits from [~"),Us=a("code"),nm=p("onnxruntime.modeling_ort.ORTModel"),sm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),rm=h(),Ws=a("p"),am=p("Masked language model for ONNX."),im=h(),K=a("div"),x(Qo.$$.fragment),lm=h(),He=a("p"),pm=p("The "),Bs=a("code"),mm=p("ORTModelForMaskedLM"),dm=p(" forward method, overrides the "),Hs=a("code"),cm=p("__call__"),um=p(" special method."),hm=h(),x(Et.$$.fragment),gm=h(),x(Rt.$$.fragment),fm=h(),x(Ft.$$.fragment),wa=h(),Qe=a("h2"),Ct=a("a"),Qs=a("span"),x(Vo.$$.fragment),_m=h(),Vs=a("span"),$m=p("ORTModelForMultipleChoice"),xa=h(),X=a("div"),x(Go.$$.fragment),vm=h(),Gs=a("p"),km=p(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),wm=h(),Jo=a("p"),xm=p("This model inherits from [~"),Js=a("code"),Tm=p("onnxruntime.modeling_ort.ORTModel"),bm=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Mm=h(),Ks=a("p"),Om=p("Multiple choice model for ONNX."),ym=h(),de=a("div"),x(Ko.$$.fragment),jm=h(),Ve=a("p"),qm=p("The "),Ys=a("code"),Em=p("ORTModelForMultipleChoice"),Rm=p(" forward method, overrides the "),Zs=a("code"),Fm=p("__call__"),Cm=p(" special method."),Sm=h(),x(St.$$.fragment),zm=h(),x(zt.$$.fragment),Ta=h(),Ge=a("h2"),Pt=a("a"),er=a("span"),x(Yo.$$.fragment),Pm=h(),tr=a("span"),Am=p("ORTModelForQuestionAnswering"),ba=h(),U=a("div"),x(Zo.$$.fragment),Nm=h(),or=a("p"),Im=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Lm=h(),en=a("p"),Dm=p("This model inherits from [~"),nr=a("code"),Xm=p("onnxruntime.modeling_ort.ORTModel"),Um=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Wm=h(),sr=a("p"),Bm=p("Question Answering model for ONNX."),Hm=h(),Y=a("div"),x(tn.$$.fragment),Qm=h(),Je=a("p"),Vm=p("The "),rr=a("code"),Gm=p("ORTModelForQuestionAnswering"),Jm=p(" forward method, overrides the "),ar=a("code"),Km=p("__call__"),Ym=p(" special method."),Zm=h(),x(At.$$.fragment),ed=h(),x(Nt.$$.fragment),td=h(),x(It.$$.fragment),Ma=h(),Ke=a("h2"),Lt=a("a"),ir=a("span"),x(on.$$.fragment),od=h(),lr=a("span"),nd=p("ORTModelForSemanticSegmentation"),Oa=h(),W=a("div"),x(nn.$$.fragment),sd=h(),pr=a("p"),rd=p("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),ad=h(),sn=a("p"),id=p("This model inherits from [~"),mr=a("code"),ld=p("onnxruntime.modeling_ort.ORTModel"),pd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),md=h(),dr=a("p"),dd=p("Semantic Segmentation model for ONNX."),cd=h(),Z=a("div"),x(rn.$$.fragment),ud=h(),Ye=a("p"),hd=p("The "),cr=a("code"),gd=p("ORTModelForSemanticSegmentation"),fd=p(" forward method, overrides the "),ur=a("code"),_d=p("__call__"),$d=p(" special method."),vd=h(),x(Dt.$$.fragment),kd=h(),x(Xt.$$.fragment),wd=h(),x(Ut.$$.fragment),ya=h(),Ze=a("h2"),Wt=a("a"),hr=a("span"),x(an.$$.fragment),xd=h(),gr=a("span"),Td=p("ORTModelForSeq2SeqLM"),ja=h(),ie=a("div"),x(ln.$$.fragment),bd=h(),fr=a("p"),Md=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Od=h(),Bt=a("div"),x(pn.$$.fragment),yd=h(),mn=a("p"),jd=p("Returns True to validate the check that the model using "),_r=a("code"),qd=p("GenerationMixin.generate()"),Ed=p(" can indeed generate."),Rd=h(),ee=a("div"),x(dn.$$.fragment),Fd=h(),et=a("p"),Cd=p("The "),$r=a("code"),Sd=p("ORTModelForSeq2SeqLM"),zd=p(" forward method, overrides the "),vr=a("code"),Pd=p("__call__"),Ad=p(" special method."),Nd=h(),x(Ht.$$.fragment),Id=h(),x(Qt.$$.fragment),Ld=h(),x(Vt.$$.fragment),qa=h(),tt=a("h2"),Gt=a("a"),kr=a("span"),x(cn.$$.fragment),Dd=h(),wr=a("span"),Xd=p("ORTModelForSequenceClassification"),Ea=h(),B=a("div"),x(un.$$.fragment),Ud=h(),xr=a("p"),Wd=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Bd=h(),hn=a("p"),Hd=p("This model inherits from [~"),Tr=a("code"),Qd=p("onnxruntime.modeling_ort.ORTModel"),Vd=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Gd=h(),br=a("p"),Jd=p("Sequence Classification model for ONNX."),Kd=h(),A=a("div"),x(gn.$$.fragment),Yd=h(),ot=a("p"),Zd=p("The "),Mr=a("code"),ec=p("ORTModelForSequenceClassification"),tc=p(" forward method, overrides the "),Or=a("code"),oc=p("__call__"),nc=p(" special method."),sc=h(),x(Jt.$$.fragment),rc=h(),x(Kt.$$.fragment),ac=h(),x(Yt.$$.fragment),ic=h(),x(Zt.$$.fragment),Ra=h(),nt=a("h2"),eo=a("a"),yr=a("span"),x(fn.$$.fragment),lc=h(),jr=a("span"),pc=p("ORTModelForSpeechSeq2Seq"),Fa=h(),le=a("div"),x(_n.$$.fragment),mc=h(),qr=a("p"),dc=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),cc=h(),to=a("div"),x($n.$$.fragment),uc=h(),vn=a("p"),hc=p("Returns True to validate the check that the model using "),Er=a("code"),gc=p("GenerationMixin.generate()"),fc=p(" can indeed generate."),_c=h(),te=a("div"),x(kn.$$.fragment),$c=h(),st=a("p"),vc=p("The "),Rr=a("code"),kc=p("ORTModelForSpeechSeq2Seq"),wc=p(" forward method, overrides the "),Fr=a("code"),xc=p("__call__"),Tc=p(" special method."),bc=h(),x(oo.$$.fragment),Mc=h(),x(no.$$.fragment),Oc=h(),x(so.$$.fragment),Ca=h(),rt=a("h2"),ro=a("a"),Cr=a("span"),x(wn.$$.fragment),yc=h(),Sr=a("span"),jc=p("ORTModelForTokenClassification"),Sa=h(),H=a("div"),x(xn.$$.fragment),qc=h(),zr=a("p"),Ec=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Rc=h(),Tn=a("p"),Fc=p("This model inherits from [~"),Pr=a("code"),Cc=p("onnxruntime.modeling_ort.ORTModel"),Sc=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),zc=h(),Ar=a("p"),Pc=p("Token Classification model for ONNX."),Ac=h(),oe=a("div"),x(bn.$$.fragment),Nc=h(),at=a("p"),Ic=p("The "),Nr=a("code"),Lc=p("ORTModelForTokenClassification"),Dc=p(" forward method, overrides the "),Ir=a("code"),Xc=p("__call__"),Uc=p(" special method."),Wc=h(),x(ao.$$.fragment),Bc=h(),x(io.$$.fragment),Hc=h(),x(lo.$$.fragment),this.h()},l(o){const $=Ih('[data-svelte="svelte-1phssyn"]',document.head);s=i($,"META",{name:!0,content:!0}),$.forEach(t),_=g(o),d=i(o,"H1",{class:!0});var Mn=l(d);u=i(Mn,"A",{id:!0,class:!0,href:!0});var Lr=l(u);f=i(Lr,"SPAN",{});var Dr=l(f);T(n.$$.fragment,Dr),Dr.forEach(t),Lr.forEach(t),r=g(Mn),w=i(Mn,"SPAN",{});var Xr=l(w);c=m(Xr,"Models"),Xr.forEach(t),Mn.forEach(t),v=g(o),E=i(o,"H2",{class:!0});var On=l(E);it=i(On,"A",{id:!0,class:!0,href:!0});var Ur=l(it);Wn=i(Ur,"SPAN",{});var Wr=l(Wn);T(ho.$$.fragment,Wr),Wr.forEach(t),Ur.forEach(t),hi=g(On),Bn=i(On,"SPAN",{});var Br=l(Bn);gi=m(Br,"ORTModel"),Br.forEach(t),On.forEach(t),ma=g(o),F=i(o,"DIV",{class:!0});var C=l(F);T(go.$$.fragment,C),fi=g(C),Hn=i(C,"P",{});var Hr=l(Hn);_i=m(Hr,"Base class for implementing models using ONNX Runtime."),Hr.forEach(t),$i=g(C),fo=i(C,"P",{});var yn=l(fo);vi=m(yn,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),Qn=i(yn,"CODE",{});var Qr=l(Qn);ki=m(Qr,"optimum.exporters.onnx"),Qr.forEach(t),wi=m(yn," toolchain."),yn.forEach(t),xi=g(C),Vn=i(C,"P",{});var Vr=l(Vn);Ti=m(Vr,"Class attributes:"),Vr.forEach(t),bi=g(C),_o=i(C,"UL",{});var jn=l(_o);he=i(jn,"LI",{});var fe=l(he);Mi=m(fe,"model_type ("),Gn=i(fe,"CODE",{});var Gr=l(Gn);Oi=m(Gr,"str"),Gr.forEach(t),yi=m(fe,", "),Jn=i(fe,"EM",{});var Jr=l(Jn);ji=m(Jr,"optional"),Jr.forEach(t),qi=m(fe,", defaults to "),Kn=i(fe,"CODE",{});var Kr=l(Kn);Ei=m(Kr,'"onnx_model"'),Kr.forEach(t),Ri=m(fe,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),fe.forEach(t),Fi=g(jn),ge=i(jn,"LI",{});var _e=l(ge);Ci=m(_e,"auto_model_class ("),Yn=i(_e,"CODE",{});var Yr=l(Yn);Si=m(Yr,"Type"),Yr.forEach(t),zi=m(_e,", "),Zn=i(_e,"EM",{});var Zr=l(Zn);Pi=m(Zr,"optional"),Zr.forEach(t),Ai=m(_e,", defaults to "),es=i(_e,"CODE",{});var ea=l(es);Ni=m(ea,"AutoModel"),ea.forEach(t),Ii=m(_e,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),_e.forEach(t),jn.forEach(t),Li=g(C),ts=i(C,"P",{});var ta=l(ts);Di=m(ta,"Common attributes:"),ta.forEach(t),Xi=g(C),se=i(C,"UL",{});var pe=l(se);$o=i(pe,"LI",{});var qn=l($o);Ui=m(qn,"model ("),os=i(qn,"CODE",{});var oa=l(os);Wi=m(oa,"ort.InferenceSession"),oa.forEach(t),Bi=m(qn,") \u2014 The ONNX Runtime InferenceSession that is running the model."),qn.forEach(t),Hi=g(pe),vo=i(pe,"LI",{});var En=l(vo);Qi=m(En,"config ("),ko=i(En,"A",{href:!0,rel:!0});var na=l(ko);Vi=m(na,"PretrainedConfig"),na.forEach(t),Gi=m(En," \u2014 The configuration of the model."),En.forEach(t),Ji=g(pe),re=i(pe,"LI",{});var me=l(re);Ki=m(me,"use_io_binding ("),ns=i(me,"CODE",{});var sa=l(ns);Yi=m(sa,"bool"),sa.forEach(t),Zi=m(me,", "),ss=i(me,"EM",{});var ra=l(ss);el=m(ra,"optional"),ra.forEach(t),tl=m(me,", defaults to "),rs=i(me,"CODE",{});var aa=l(rs);ol=m(aa,"True"),aa.forEach(t),nl=m(me,") \u2014 Whether to use I/O bindings with "),as=i(me,"STRONG",{});var ia=l(as);sl=m(ia,`ONNX Runtime
with the CUDAExecutionProvider`),ia.forEach(t),rl=m(me,", this can significantly speedup inference depending on the task."),me.forEach(t),al=g(pe),wo=i(pe,"LI",{});var Rn=l(wo);il=m(Rn,"model_save_dir ("),is=i(Rn,"CODE",{});var la=l(is);ll=m(la,"Path"),la.forEach(t),pl=m(Rn,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Rn.forEach(t),ml=g(pe),ls=i(pe,"LI",{});var pa=l(ls);dl=m(pa,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),pa.forEach(t),pe.forEach(t),cl=g(C),lt=i(C,"DIV",{class:!0});var Pa=l(lt);T(xo.$$.fragment,Pa),ul=g(Pa),ps=i(Pa,"P",{});var Qc=l(ps);hl=m(Qc,"Instantiate a pretrained model from a pre-trained model configuration."),Qc.forEach(t),Pa.forEach(t),gl=g(C),pt=i(C,"DIV",{class:!0});var Aa=l(pt);T(To.$$.fragment,Aa),fl=g(Aa),bo=i(Aa,"P",{});var Na=l(bo);_l=m(Na,"Loads an ONNX Inference session with a given provider. Default provider is "),ms=i(Na,"CODE",{});var Vc=l(ms);$l=m(Vc,"CPUExecutionProvider"),Vc.forEach(t),vl=m(Na,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Na.forEach(t),Aa.forEach(t),kl=g(C),mt=i(C,"DIV",{class:!0});var Ia=l(mt);T(Mo.$$.fragment,Ia),wl=g(Ia),ds=i(Ia,"P",{});var Gc=l(ds);xl=m(Gc,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),Gc.forEach(t),Ia.forEach(t),Tl=g(C),dt=i(C,"DIV",{class:!0});var La=l(dt);T(Oo.$$.fragment,La),bl=g(La),cs=i(La,"P",{});var Jc=l(cs);Ml=m(Jc,"Changes the ONNX Runtime provider according to the device."),Jc.forEach(t),La.forEach(t),C.forEach(t),da=g(o),Ae=i(o,"H2",{class:!0});var Da=l(Ae);ct=i(Da,"A",{id:!0,class:!0,href:!0});var Kc=l(ct);us=i(Kc,"SPAN",{});var Yc=l(us);T(yo.$$.fragment,Yc),Yc.forEach(t),Kc.forEach(t),Ol=g(Da),hs=i(Da,"SPAN",{});var Zc=l(hs);yl=m(Zc,"ORTModelForCausalLM"),Zc.forEach(t),Da.forEach(t),ca=g(o),ae=i(o,"DIV",{class:!0});var po=l(ae);T(jo.$$.fragment,po),jl=g(po),gs=i(po,"P",{});var eu=l(gs);ql=m(eu,"ONNX model with a causal language modeling head for ONNX Runtime inference."),eu.forEach(t),El=g(po),ut=i(po,"DIV",{class:!0});var Xa=l(ut);T(qo.$$.fragment,Xa),Rl=g(Xa),Eo=i(Xa,"P",{});var Ua=l(Eo);Fl=m(Ua,"Returns True to validate the check that the model using "),fs=i(Ua,"CODE",{});var tu=l(fs);Cl=m(tu,"GenerationMixin.generate()"),tu.forEach(t),Sl=m(Ua," can indeed generate."),Ua.forEach(t),Xa.forEach(t),zl=g(po),Q=i(po,"DIV",{class:!0});var $e=l(Q);T(Ro.$$.fragment,$e),Pl=g($e),Ne=i($e,"P",{});var Fn=l(Ne);Al=m(Fn,"The "),_s=i(Fn,"CODE",{});var ou=l(_s);Nl=m(ou,"ORTModelForCausalLM"),ou.forEach(t),Il=m(Fn," forward method, overrides the "),$s=i(Fn,"CODE",{});var nu=l($s);Ll=m(nu,"__call__"),nu.forEach(t),Dl=m(Fn," special method."),Fn.forEach(t),Xl=g($e),T(ht.$$.fragment,$e),Ul=g($e),T(gt.$$.fragment,$e),Wl=g($e),T(ft.$$.fragment,$e),$e.forEach(t),po.forEach(t),ua=g(o),Ie=i(o,"H2",{class:!0});var Wa=l(Ie);_t=i(Wa,"A",{id:!0,class:!0,href:!0});var su=l(_t);vs=i(su,"SPAN",{});var ru=l(vs);T(Fo.$$.fragment,ru),ru.forEach(t),su.forEach(t),Bl=g(Wa),ks=i(Wa,"SPAN",{});var au=l(ks);Hl=m(au,"ORTModelForCustomTasks"),au.forEach(t),Wa.forEach(t),ha=g(o),N=i(o,"DIV",{class:!0});var ve=l(N);T(Co.$$.fragment,ve),Ql=g(ve),ws=i(ve,"P",{});var iu=l(ws);Vl=m(iu,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),iu.forEach(t),Gl=g(ve),So=i(ve,"P",{});var Ba=l(So);Jl=m(Ba,"This model inherits from [~"),xs=i(Ba,"CODE",{});var lu=l(xs);Kl=m(lu,"onnxruntime.modeling_ort.ORTModel"),lu.forEach(t),Yl=m(Ba,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ba.forEach(t),Zl=g(ve),Ts=i(ve,"P",{});var pu=l(Ts);ep=m(pu,"Model for any custom tasks if the ONNX model is stored in a single file."),pu.forEach(t),tp=g(ve),V=i(ve,"DIV",{class:!0});var ke=l(V);T(zo.$$.fragment,ke),op=g(ke),Le=i(ke,"P",{});var Cn=l(Le);np=m(Cn,"The "),bs=i(Cn,"CODE",{});var mu=l(bs);sp=m(mu,"ORTModelForCustomTasks"),mu.forEach(t),rp=m(Cn," forward method, overrides the "),Ms=i(Cn,"CODE",{});var du=l(Ms);ap=m(du,"__call__"),du.forEach(t),ip=m(Cn," special method."),Cn.forEach(t),lp=g(ke),T($t.$$.fragment,ke),pp=g(ke),T(vt.$$.fragment,ke),mp=g(ke),T(kt.$$.fragment,ke),ke.forEach(t),ve.forEach(t),ga=g(o),De=i(o,"H2",{class:!0});var Ha=l(De);wt=i(Ha,"A",{id:!0,class:!0,href:!0});var cu=l(wt);Os=i(cu,"SPAN",{});var uu=l(Os);T(Po.$$.fragment,uu),uu.forEach(t),cu.forEach(t),dp=g(Ha),ys=i(Ha,"SPAN",{});var hu=l(ys);cp=m(hu,"ORTModelForFeatureExtraction"),hu.forEach(t),Ha.forEach(t),fa=g(o),I=i(o,"DIV",{class:!0});var we=l(I);T(Ao.$$.fragment,we),up=g(we),js=i(we,"P",{});var gu=l(js);hp=m(gu,"Onnx Model with a BaseModelOutput for feature-extraction tasks."),gu.forEach(t),gp=g(we),No=i(we,"P",{});var Qa=l(No);fp=m(Qa,"This model inherits from [~"),qs=i(Qa,"CODE",{});var fu=l(qs);_p=m(fu,"onnxruntime.modeling_ort.ORTModel"),fu.forEach(t),$p=m(Qa,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Qa.forEach(t),vp=g(we),Es=i(we,"P",{});var _u=l(Es);kp=m(_u,"Feature Extraction model for ONNX."),_u.forEach(t),wp=g(we),G=i(we,"DIV",{class:!0});var xe=l(G);T(Io.$$.fragment,xe),xp=g(xe),Xe=i(xe,"P",{});var Sn=l(Xe);Tp=m(Sn,"The "),Rs=i(Sn,"CODE",{});var $u=l(Rs);bp=m($u,"ORTModelForFeatureExtraction"),$u.forEach(t),Mp=m(Sn," forward method, overrides the "),Fs=i(Sn,"CODE",{});var vu=l(Fs);Op=m(vu,"__call__"),vu.forEach(t),yp=m(Sn," special method."),Sn.forEach(t),jp=g(xe),T(xt.$$.fragment,xe),qp=g(xe),T(Tt.$$.fragment,xe),Ep=g(xe),T(bt.$$.fragment,xe),xe.forEach(t),we.forEach(t),_a=g(o),Ue=i(o,"H2",{class:!0});var Va=l(Ue);Mt=i(Va,"A",{id:!0,class:!0,href:!0});var ku=l(Mt);Cs=i(ku,"SPAN",{});var wu=l(Cs);T(Lo.$$.fragment,wu),wu.forEach(t),ku.forEach(t),Rp=g(Va),Ss=i(Va,"SPAN",{});var xu=l(Ss);Fp=m(xu,"ORTModelForImageClassification"),xu.forEach(t),Va.forEach(t),$a=g(o),L=i(o,"DIV",{class:!0});var Te=l(L);T(Do.$$.fragment,Te),Cp=g(Te),zs=i(Te,"P",{});var Tu=l(zs);Sp=m(Tu,"Onnx Model for image-classification tasks."),Tu.forEach(t),zp=g(Te),Xo=i(Te,"P",{});var Ga=l(Xo);Pp=m(Ga,"This model inherits from [~"),Ps=i(Ga,"CODE",{});var bu=l(Ps);Ap=m(bu,"onnxruntime.modeling_ort.ORTModel"),bu.forEach(t),Np=m(Ga,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ga.forEach(t),Ip=g(Te),As=i(Te,"P",{});var Mu=l(As);Lp=m(Mu,"Image Classification model for ONNX."),Mu.forEach(t),Dp=g(Te),J=i(Te,"DIV",{class:!0});var be=l(J);T(Uo.$$.fragment,be),Xp=g(be),We=i(be,"P",{});var zn=l(We);Up=m(zn,"The "),Ns=i(zn,"CODE",{});var Ou=l(Ns);Wp=m(Ou,"ORTModelForImageClassification"),Ou.forEach(t),Bp=m(zn," forward method, overrides the "),Is=i(zn,"CODE",{});var yu=l(Is);Hp=m(yu,"__call__"),yu.forEach(t),Qp=m(zn," special method."),zn.forEach(t),Vp=g(be),T(Ot.$$.fragment,be),Gp=g(be),T(yt.$$.fragment,be),Jp=g(be),T(jt.$$.fragment,be),be.forEach(t),Te.forEach(t),va=g(o),Be=i(o,"H2",{class:!0});var Ja=l(Be);qt=i(Ja,"A",{id:!0,class:!0,href:!0});var ju=l(qt);Ls=i(ju,"SPAN",{});var qu=l(Ls);T(Wo.$$.fragment,qu),qu.forEach(t),ju.forEach(t),Kp=g(Ja),Ds=i(Ja,"SPAN",{});var Eu=l(Ds);Yp=m(Eu,"ORTModelForMaskedLM"),Eu.forEach(t),Ja.forEach(t),ka=g(o),D=i(o,"DIV",{class:!0});var Me=l(D);T(Bo.$$.fragment,Me),Zp=g(Me),Xs=i(Me,"P",{});var Ru=l(Xs);em=m(Ru,"Onnx Model with a MaskedLMOutput for masked language modeling tasks."),Ru.forEach(t),tm=g(Me),Ho=i(Me,"P",{});var Ka=l(Ho);om=m(Ka,"This model inherits from [~"),Us=i(Ka,"CODE",{});var Fu=l(Us);nm=m(Fu,"onnxruntime.modeling_ort.ORTModel"),Fu.forEach(t),sm=m(Ka,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ka.forEach(t),rm=g(Me),Ws=i(Me,"P",{});var Cu=l(Ws);am=m(Cu,"Masked language model for ONNX."),Cu.forEach(t),im=g(Me),K=i(Me,"DIV",{class:!0});var Oe=l(K);T(Qo.$$.fragment,Oe),lm=g(Oe),He=i(Oe,"P",{});var Pn=l(He);pm=m(Pn,"The "),Bs=i(Pn,"CODE",{});var Su=l(Bs);mm=m(Su,"ORTModelForMaskedLM"),Su.forEach(t),dm=m(Pn," forward method, overrides the "),Hs=i(Pn,"CODE",{});var zu=l(Hs);cm=m(zu,"__call__"),zu.forEach(t),um=m(Pn," special method."),Pn.forEach(t),hm=g(Oe),T(Et.$$.fragment,Oe),gm=g(Oe),T(Rt.$$.fragment,Oe),fm=g(Oe),T(Ft.$$.fragment,Oe),Oe.forEach(t),Me.forEach(t),wa=g(o),Qe=i(o,"H2",{class:!0});var Ya=l(Qe);Ct=i(Ya,"A",{id:!0,class:!0,href:!0});var Pu=l(Ct);Qs=i(Pu,"SPAN",{});var Au=l(Qs);T(Vo.$$.fragment,Au),Au.forEach(t),Pu.forEach(t),_m=g(Ya),Vs=i(Ya,"SPAN",{});var Nu=l(Vs);$m=m(Nu,"ORTModelForMultipleChoice"),Nu.forEach(t),Ya.forEach(t),xa=g(o),X=i(o,"DIV",{class:!0});var ye=l(X);T(Go.$$.fragment,ye),vm=g(ye),Gs=i(ye,"P",{});var Iu=l(Gs);km=m(Iu,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Iu.forEach(t),wm=g(ye),Jo=i(ye,"P",{});var Za=l(Jo);xm=m(Za,"This model inherits from [~"),Js=i(Za,"CODE",{});var Lu=l(Js);Tm=m(Lu,"onnxruntime.modeling_ort.ORTModel"),Lu.forEach(t),bm=m(Za,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Za.forEach(t),Mm=g(ye),Ks=i(ye,"P",{});var Du=l(Ks);Om=m(Du,"Multiple choice model for ONNX."),Du.forEach(t),ym=g(ye),de=i(ye,"DIV",{class:!0});var mo=l(de);T(Ko.$$.fragment,mo),jm=g(mo),Ve=i(mo,"P",{});var An=l(Ve);qm=m(An,"The "),Ys=i(An,"CODE",{});var Xu=l(Ys);Em=m(Xu,"ORTModelForMultipleChoice"),Xu.forEach(t),Rm=m(An," forward method, overrides the "),Zs=i(An,"CODE",{});var Uu=l(Zs);Fm=m(Uu,"__call__"),Uu.forEach(t),Cm=m(An," special method."),An.forEach(t),Sm=g(mo),T(St.$$.fragment,mo),zm=g(mo),T(zt.$$.fragment,mo),mo.forEach(t),ye.forEach(t),Ta=g(o),Ge=i(o,"H2",{class:!0});var ei=l(Ge);Pt=i(ei,"A",{id:!0,class:!0,href:!0});var Wu=l(Pt);er=i(Wu,"SPAN",{});var Bu=l(er);T(Yo.$$.fragment,Bu),Bu.forEach(t),Wu.forEach(t),Pm=g(ei),tr=i(ei,"SPAN",{});var Hu=l(tr);Am=m(Hu,"ORTModelForQuestionAnswering"),Hu.forEach(t),ei.forEach(t),ba=g(o),U=i(o,"DIV",{class:!0});var je=l(U);T(Zo.$$.fragment,je),Nm=g(je),or=i(je,"P",{});var Qu=l(or);Im=m(Qu,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Qu.forEach(t),Lm=g(je),en=i(je,"P",{});var ti=l(en);Dm=m(ti,"This model inherits from [~"),nr=i(ti,"CODE",{});var Vu=l(nr);Xm=m(Vu,"onnxruntime.modeling_ort.ORTModel"),Vu.forEach(t),Um=m(ti,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ti.forEach(t),Wm=g(je),sr=i(je,"P",{});var Gu=l(sr);Bm=m(Gu,"Question Answering model for ONNX."),Gu.forEach(t),Hm=g(je),Y=i(je,"DIV",{class:!0});var qe=l(Y);T(tn.$$.fragment,qe),Qm=g(qe),Je=i(qe,"P",{});var Nn=l(Je);Vm=m(Nn,"The "),rr=i(Nn,"CODE",{});var Ju=l(rr);Gm=m(Ju,"ORTModelForQuestionAnswering"),Ju.forEach(t),Jm=m(Nn," forward method, overrides the "),ar=i(Nn,"CODE",{});var Ku=l(ar);Km=m(Ku,"__call__"),Ku.forEach(t),Ym=m(Nn," special method."),Nn.forEach(t),Zm=g(qe),T(At.$$.fragment,qe),ed=g(qe),T(Nt.$$.fragment,qe),td=g(qe),T(It.$$.fragment,qe),qe.forEach(t),je.forEach(t),Ma=g(o),Ke=i(o,"H2",{class:!0});var oi=l(Ke);Lt=i(oi,"A",{id:!0,class:!0,href:!0});var Yu=l(Lt);ir=i(Yu,"SPAN",{});var Zu=l(ir);T(on.$$.fragment,Zu),Zu.forEach(t),Yu.forEach(t),od=g(oi),lr=i(oi,"SPAN",{});var eh=l(lr);nd=m(eh,"ORTModelForSemanticSegmentation"),eh.forEach(t),oi.forEach(t),Oa=g(o),W=i(o,"DIV",{class:!0});var Ee=l(W);T(nn.$$.fragment,Ee),sd=g(Ee),pr=i(Ee,"P",{});var th=l(pr);rd=m(th,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),th.forEach(t),ad=g(Ee),sn=i(Ee,"P",{});var ni=l(sn);id=m(ni,"This model inherits from [~"),mr=i(ni,"CODE",{});var oh=l(mr);ld=m(oh,"onnxruntime.modeling_ort.ORTModel"),oh.forEach(t),pd=m(ni,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ni.forEach(t),md=g(Ee),dr=i(Ee,"P",{});var nh=l(dr);dd=m(nh,"Semantic Segmentation model for ONNX."),nh.forEach(t),cd=g(Ee),Z=i(Ee,"DIV",{class:!0});var Re=l(Z);T(rn.$$.fragment,Re),ud=g(Re),Ye=i(Re,"P",{});var In=l(Ye);hd=m(In,"The "),cr=i(In,"CODE",{});var sh=l(cr);gd=m(sh,"ORTModelForSemanticSegmentation"),sh.forEach(t),fd=m(In," forward method, overrides the "),ur=i(In,"CODE",{});var rh=l(ur);_d=m(rh,"__call__"),rh.forEach(t),$d=m(In," special method."),In.forEach(t),vd=g(Re),T(Dt.$$.fragment,Re),kd=g(Re),T(Xt.$$.fragment,Re),wd=g(Re),T(Ut.$$.fragment,Re),Re.forEach(t),Ee.forEach(t),ya=g(o),Ze=i(o,"H2",{class:!0});var si=l(Ze);Wt=i(si,"A",{id:!0,class:!0,href:!0});var ah=l(Wt);hr=i(ah,"SPAN",{});var ih=l(hr);T(an.$$.fragment,ih),ih.forEach(t),ah.forEach(t),xd=g(si),gr=i(si,"SPAN",{});var lh=l(gr);Td=m(lh,"ORTModelForSeq2SeqLM"),lh.forEach(t),si.forEach(t),ja=g(o),ie=i(o,"DIV",{class:!0});var co=l(ie);T(ln.$$.fragment,co),bd=g(co),fr=i(co,"P",{});var ph=l(fr);Md=m(ph,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),ph.forEach(t),Od=g(co),Bt=i(co,"DIV",{class:!0});var ri=l(Bt);T(pn.$$.fragment,ri),yd=g(ri),mn=i(ri,"P",{});var ai=l(mn);jd=m(ai,"Returns True to validate the check that the model using "),_r=i(ai,"CODE",{});var mh=l(_r);qd=m(mh,"GenerationMixin.generate()"),mh.forEach(t),Ed=m(ai," can indeed generate."),ai.forEach(t),ri.forEach(t),Rd=g(co),ee=i(co,"DIV",{class:!0});var Fe=l(ee);T(dn.$$.fragment,Fe),Fd=g(Fe),et=i(Fe,"P",{});var Ln=l(et);Cd=m(Ln,"The "),$r=i(Ln,"CODE",{});var dh=l($r);Sd=m(dh,"ORTModelForSeq2SeqLM"),dh.forEach(t),zd=m(Ln," forward method, overrides the "),vr=i(Ln,"CODE",{});var ch=l(vr);Pd=m(ch,"__call__"),ch.forEach(t),Ad=m(Ln," special method."),Ln.forEach(t),Nd=g(Fe),T(Ht.$$.fragment,Fe),Id=g(Fe),T(Qt.$$.fragment,Fe),Ld=g(Fe),T(Vt.$$.fragment,Fe),Fe.forEach(t),co.forEach(t),qa=g(o),tt=i(o,"H2",{class:!0});var ii=l(tt);Gt=i(ii,"A",{id:!0,class:!0,href:!0});var uh=l(Gt);kr=i(uh,"SPAN",{});var hh=l(kr);T(cn.$$.fragment,hh),hh.forEach(t),uh.forEach(t),Dd=g(ii),wr=i(ii,"SPAN",{});var gh=l(wr);Xd=m(gh,"ORTModelForSequenceClassification"),gh.forEach(t),ii.forEach(t),Ea=g(o),B=i(o,"DIV",{class:!0});var Ce=l(B);T(un.$$.fragment,Ce),Ud=g(Ce),xr=i(Ce,"P",{});var fh=l(xr);Wd=m(fh,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),fh.forEach(t),Bd=g(Ce),hn=i(Ce,"P",{});var li=l(hn);Hd=m(li,"This model inherits from [~"),Tr=i(li,"CODE",{});var _h=l(Tr);Qd=m(_h,"onnxruntime.modeling_ort.ORTModel"),_h.forEach(t),Vd=m(li,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),li.forEach(t),Gd=g(Ce),br=i(Ce,"P",{});var $h=l(br);Jd=m($h,"Sequence Classification model for ONNX."),$h.forEach(t),Kd=g(Ce),A=i(Ce,"DIV",{class:!0});var ce=l(A);T(gn.$$.fragment,ce),Yd=g(ce),ot=i(ce,"P",{});var Dn=l(ot);Zd=m(Dn,"The "),Mr=i(Dn,"CODE",{});var vh=l(Mr);ec=m(vh,"ORTModelForSequenceClassification"),vh.forEach(t),tc=m(Dn," forward method, overrides the "),Or=i(Dn,"CODE",{});var kh=l(Or);oc=m(kh,"__call__"),kh.forEach(t),nc=m(Dn," special method."),Dn.forEach(t),sc=g(ce),T(Jt.$$.fragment,ce),rc=g(ce),T(Kt.$$.fragment,ce),ac=g(ce),T(Yt.$$.fragment,ce),ic=g(ce),T(Zt.$$.fragment,ce),ce.forEach(t),Ce.forEach(t),Ra=g(o),nt=i(o,"H2",{class:!0});var pi=l(nt);eo=i(pi,"A",{id:!0,class:!0,href:!0});var wh=l(eo);yr=i(wh,"SPAN",{});var xh=l(yr);T(fn.$$.fragment,xh),xh.forEach(t),wh.forEach(t),lc=g(pi),jr=i(pi,"SPAN",{});var Th=l(jr);pc=m(Th,"ORTModelForSpeechSeq2Seq"),Th.forEach(t),pi.forEach(t),Fa=g(o),le=i(o,"DIV",{class:!0});var uo=l(le);T(_n.$$.fragment,uo),mc=g(uo),qr=i(uo,"P",{});var bh=l(qr);dc=m(bh,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),bh.forEach(t),cc=g(uo),to=i(uo,"DIV",{class:!0});var mi=l(to);T($n.$$.fragment,mi),uc=g(mi),vn=i(mi,"P",{});var di=l(vn);hc=m(di,"Returns True to validate the check that the model using "),Er=i(di,"CODE",{});var Mh=l(Er);gc=m(Mh,"GenerationMixin.generate()"),Mh.forEach(t),fc=m(di," can indeed generate."),di.forEach(t),mi.forEach(t),_c=g(uo),te=i(uo,"DIV",{class:!0});var Se=l(te);T(kn.$$.fragment,Se),$c=g(Se),st=i(Se,"P",{});var Xn=l(st);vc=m(Xn,"The "),Rr=i(Xn,"CODE",{});var Oh=l(Rr);kc=m(Oh,"ORTModelForSpeechSeq2Seq"),Oh.forEach(t),wc=m(Xn," forward method, overrides the "),Fr=i(Xn,"CODE",{});var yh=l(Fr);xc=m(yh,"__call__"),yh.forEach(t),Tc=m(Xn," special method."),Xn.forEach(t),bc=g(Se),T(oo.$$.fragment,Se),Mc=g(Se),T(no.$$.fragment,Se),Oc=g(Se),T(so.$$.fragment,Se),Se.forEach(t),uo.forEach(t),Ca=g(o),rt=i(o,"H2",{class:!0});var ci=l(rt);ro=i(ci,"A",{id:!0,class:!0,href:!0});var jh=l(ro);Cr=i(jh,"SPAN",{});var qh=l(Cr);T(wn.$$.fragment,qh),qh.forEach(t),jh.forEach(t),yc=g(ci),Sr=i(ci,"SPAN",{});var Eh=l(Sr);jc=m(Eh,"ORTModelForTokenClassification"),Eh.forEach(t),ci.forEach(t),Sa=g(o),H=i(o,"DIV",{class:!0});var ze=l(H);T(xn.$$.fragment,ze),qc=g(ze),zr=i(ze,"P",{});var Rh=l(zr);Ec=m(Rh,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Rh.forEach(t),Rc=g(ze),Tn=i(ze,"P",{});var ui=l(Tn);Fc=m(ui,"This model inherits from [~"),Pr=i(ui,"CODE",{});var Fh=l(Pr);Cc=m(Fh,"onnxruntime.modeling_ort.ORTModel"),Fh.forEach(t),Sc=m(ui,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ui.forEach(t),zc=g(ze),Ar=i(ze,"P",{});var Ch=l(Ar);Pc=m(Ch,"Token Classification model for ONNX."),Ch.forEach(t),Ac=g(ze),oe=i(ze,"DIV",{class:!0});var Pe=l(oe);T(bn.$$.fragment,Pe),Nc=g(Pe),at=i(Pe,"P",{});var Un=l(at);Ic=m(Un,"The "),Nr=i(Un,"CODE",{});var Sh=l(Nr);Lc=m(Sh,"ORTModelForTokenClassification"),Sh.forEach(t),Dc=m(Un," forward method, overrides the "),Ir=i(Un,"CODE",{});var zh=l(Ir);Xc=m(zh,"__call__"),zh.forEach(t),Uc=m(Un," special method."),Un.forEach(t),Wc=g(Pe),T(ao.$$.fragment,Pe),Bc=g(Pe),T(io.$$.fragment,Pe),Hc=g(Pe),T(lo.$$.fragment,Pe),Pe.forEach(t),ze.forEach(t),this.h()},h(){j(s,"name","hf:doc:metadata"),j(s,"content",JSON.stringify(bg)),j(u,"id","models"),j(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(u,"href","#models"),j(d,"class","relative group"),j(it,"id","optimum.onnxruntime.ORTModel"),j(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(it,"href","#optimum.onnxruntime.ORTModel"),j(E,"class","relative group"),j(ko,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),j(ko,"rel","nofollow"),j(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(ct,"id","optimum.onnxruntime.ORTModelForCausalLM"),j(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(ct,"href","#optimum.onnxruntime.ORTModelForCausalLM"),j(Ae,"class","relative group"),j(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(_t,"id","optimum.onnxruntime.ORTModelForCustomTasks"),j(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(_t,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),j(Ie,"class","relative group"),j(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(wt,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),j(wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(wt,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),j(De,"class","relative group"),j(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Mt,"id","optimum.onnxruntime.ORTModelForImageClassification"),j(Mt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(Mt,"href","#optimum.onnxruntime.ORTModelForImageClassification"),j(Ue,"class","relative group"),j(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(qt,"id","optimum.onnxruntime.ORTModelForMaskedLM"),j(qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(qt,"href","#optimum.onnxruntime.ORTModelForMaskedLM"),j(Be,"class","relative group"),j(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Ct,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),j(Ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(Ct,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),j(Qe,"class","relative group"),j(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Pt,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),j(Pt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(Pt,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),j(Ge,"class","relative group"),j(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Lt,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),j(Lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(Lt,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),j(Ke,"class","relative group"),j(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Wt,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),j(Wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(Wt,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),j(Ze,"class","relative group"),j(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(Gt,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),j(Gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(Gt,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),j(tt,"class","relative group"),j(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(eo,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),j(eo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(eo,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),j(nt,"class","relative group"),j(to,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(ro,"id","optimum.onnxruntime.ORTModelForTokenClassification"),j(ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),j(ro,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),j(rt,"class","relative group"),j(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),j(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,$){e(document.head,s),k(o,_,$),k(o,d,$),e(d,u),e(u,f),b(n,f,null),e(d,r),e(d,w),e(w,c),k(o,v,$),k(o,E,$),e(E,it),e(it,Wn),b(ho,Wn,null),e(E,hi),e(E,Bn),e(Bn,gi),k(o,ma,$),k(o,F,$),b(go,F,null),e(F,fi),e(F,Hn),e(Hn,_i),e(F,$i),e(F,fo),e(fo,vi),e(fo,Qn),e(Qn,ki),e(fo,wi),e(F,xi),e(F,Vn),e(Vn,Ti),e(F,bi),e(F,_o),e(_o,he),e(he,Mi),e(he,Gn),e(Gn,Oi),e(he,yi),e(he,Jn),e(Jn,ji),e(he,qi),e(he,Kn),e(Kn,Ei),e(he,Ri),e(_o,Fi),e(_o,ge),e(ge,Ci),e(ge,Yn),e(Yn,Si),e(ge,zi),e(ge,Zn),e(Zn,Pi),e(ge,Ai),e(ge,es),e(es,Ni),e(ge,Ii),e(F,Li),e(F,ts),e(ts,Di),e(F,Xi),e(F,se),e(se,$o),e($o,Ui),e($o,os),e(os,Wi),e($o,Bi),e(se,Hi),e(se,vo),e(vo,Qi),e(vo,ko),e(ko,Vi),e(vo,Gi),e(se,Ji),e(se,re),e(re,Ki),e(re,ns),e(ns,Yi),e(re,Zi),e(re,ss),e(ss,el),e(re,tl),e(re,rs),e(rs,ol),e(re,nl),e(re,as),e(as,sl),e(re,rl),e(se,al),e(se,wo),e(wo,il),e(wo,is),e(is,ll),e(wo,pl),e(se,ml),e(se,ls),e(ls,dl),e(F,cl),e(F,lt),b(xo,lt,null),e(lt,ul),e(lt,ps),e(ps,hl),e(F,gl),e(F,pt),b(To,pt,null),e(pt,fl),e(pt,bo),e(bo,_l),e(bo,ms),e(ms,$l),e(bo,vl),e(F,kl),e(F,mt),b(Mo,mt,null),e(mt,wl),e(mt,ds),e(ds,xl),e(F,Tl),e(F,dt),b(Oo,dt,null),e(dt,bl),e(dt,cs),e(cs,Ml),k(o,da,$),k(o,Ae,$),e(Ae,ct),e(ct,us),b(yo,us,null),e(Ae,Ol),e(Ae,hs),e(hs,yl),k(o,ca,$),k(o,ae,$),b(jo,ae,null),e(ae,jl),e(ae,gs),e(gs,ql),e(ae,El),e(ae,ut),b(qo,ut,null),e(ut,Rl),e(ut,Eo),e(Eo,Fl),e(Eo,fs),e(fs,Cl),e(Eo,Sl),e(ae,zl),e(ae,Q),b(Ro,Q,null),e(Q,Pl),e(Q,Ne),e(Ne,Al),e(Ne,_s),e(_s,Nl),e(Ne,Il),e(Ne,$s),e($s,Ll),e(Ne,Dl),e(Q,Xl),b(ht,Q,null),e(Q,Ul),b(gt,Q,null),e(Q,Wl),b(ft,Q,null),k(o,ua,$),k(o,Ie,$),e(Ie,_t),e(_t,vs),b(Fo,vs,null),e(Ie,Bl),e(Ie,ks),e(ks,Hl),k(o,ha,$),k(o,N,$),b(Co,N,null),e(N,Ql),e(N,ws),e(ws,Vl),e(N,Gl),e(N,So),e(So,Jl),e(So,xs),e(xs,Kl),e(So,Yl),e(N,Zl),e(N,Ts),e(Ts,ep),e(N,tp),e(N,V),b(zo,V,null),e(V,op),e(V,Le),e(Le,np),e(Le,bs),e(bs,sp),e(Le,rp),e(Le,Ms),e(Ms,ap),e(Le,ip),e(V,lp),b($t,V,null),e(V,pp),b(vt,V,null),e(V,mp),b(kt,V,null),k(o,ga,$),k(o,De,$),e(De,wt),e(wt,Os),b(Po,Os,null),e(De,dp),e(De,ys),e(ys,cp),k(o,fa,$),k(o,I,$),b(Ao,I,null),e(I,up),e(I,js),e(js,hp),e(I,gp),e(I,No),e(No,fp),e(No,qs),e(qs,_p),e(No,$p),e(I,vp),e(I,Es),e(Es,kp),e(I,wp),e(I,G),b(Io,G,null),e(G,xp),e(G,Xe),e(Xe,Tp),e(Xe,Rs),e(Rs,bp),e(Xe,Mp),e(Xe,Fs),e(Fs,Op),e(Xe,yp),e(G,jp),b(xt,G,null),e(G,qp),b(Tt,G,null),e(G,Ep),b(bt,G,null),k(o,_a,$),k(o,Ue,$),e(Ue,Mt),e(Mt,Cs),b(Lo,Cs,null),e(Ue,Rp),e(Ue,Ss),e(Ss,Fp),k(o,$a,$),k(o,L,$),b(Do,L,null),e(L,Cp),e(L,zs),e(zs,Sp),e(L,zp),e(L,Xo),e(Xo,Pp),e(Xo,Ps),e(Ps,Ap),e(Xo,Np),e(L,Ip),e(L,As),e(As,Lp),e(L,Dp),e(L,J),b(Uo,J,null),e(J,Xp),e(J,We),e(We,Up),e(We,Ns),e(Ns,Wp),e(We,Bp),e(We,Is),e(Is,Hp),e(We,Qp),e(J,Vp),b(Ot,J,null),e(J,Gp),b(yt,J,null),e(J,Jp),b(jt,J,null),k(o,va,$),k(o,Be,$),e(Be,qt),e(qt,Ls),b(Wo,Ls,null),e(Be,Kp),e(Be,Ds),e(Ds,Yp),k(o,ka,$),k(o,D,$),b(Bo,D,null),e(D,Zp),e(D,Xs),e(Xs,em),e(D,tm),e(D,Ho),e(Ho,om),e(Ho,Us),e(Us,nm),e(Ho,sm),e(D,rm),e(D,Ws),e(Ws,am),e(D,im),e(D,K),b(Qo,K,null),e(K,lm),e(K,He),e(He,pm),e(He,Bs),e(Bs,mm),e(He,dm),e(He,Hs),e(Hs,cm),e(He,um),e(K,hm),b(Et,K,null),e(K,gm),b(Rt,K,null),e(K,fm),b(Ft,K,null),k(o,wa,$),k(o,Qe,$),e(Qe,Ct),e(Ct,Qs),b(Vo,Qs,null),e(Qe,_m),e(Qe,Vs),e(Vs,$m),k(o,xa,$),k(o,X,$),b(Go,X,null),e(X,vm),e(X,Gs),e(Gs,km),e(X,wm),e(X,Jo),e(Jo,xm),e(Jo,Js),e(Js,Tm),e(Jo,bm),e(X,Mm),e(X,Ks),e(Ks,Om),e(X,ym),e(X,de),b(Ko,de,null),e(de,jm),e(de,Ve),e(Ve,qm),e(Ve,Ys),e(Ys,Em),e(Ve,Rm),e(Ve,Zs),e(Zs,Fm),e(Ve,Cm),e(de,Sm),b(St,de,null),e(de,zm),b(zt,de,null),k(o,Ta,$),k(o,Ge,$),e(Ge,Pt),e(Pt,er),b(Yo,er,null),e(Ge,Pm),e(Ge,tr),e(tr,Am),k(o,ba,$),k(o,U,$),b(Zo,U,null),e(U,Nm),e(U,or),e(or,Im),e(U,Lm),e(U,en),e(en,Dm),e(en,nr),e(nr,Xm),e(en,Um),e(U,Wm),e(U,sr),e(sr,Bm),e(U,Hm),e(U,Y),b(tn,Y,null),e(Y,Qm),e(Y,Je),e(Je,Vm),e(Je,rr),e(rr,Gm),e(Je,Jm),e(Je,ar),e(ar,Km),e(Je,Ym),e(Y,Zm),b(At,Y,null),e(Y,ed),b(Nt,Y,null),e(Y,td),b(It,Y,null),k(o,Ma,$),k(o,Ke,$),e(Ke,Lt),e(Lt,ir),b(on,ir,null),e(Ke,od),e(Ke,lr),e(lr,nd),k(o,Oa,$),k(o,W,$),b(nn,W,null),e(W,sd),e(W,pr),e(pr,rd),e(W,ad),e(W,sn),e(sn,id),e(sn,mr),e(mr,ld),e(sn,pd),e(W,md),e(W,dr),e(dr,dd),e(W,cd),e(W,Z),b(rn,Z,null),e(Z,ud),e(Z,Ye),e(Ye,hd),e(Ye,cr),e(cr,gd),e(Ye,fd),e(Ye,ur),e(ur,_d),e(Ye,$d),e(Z,vd),b(Dt,Z,null),e(Z,kd),b(Xt,Z,null),e(Z,wd),b(Ut,Z,null),k(o,ya,$),k(o,Ze,$),e(Ze,Wt),e(Wt,hr),b(an,hr,null),e(Ze,xd),e(Ze,gr),e(gr,Td),k(o,ja,$),k(o,ie,$),b(ln,ie,null),e(ie,bd),e(ie,fr),e(fr,Md),e(ie,Od),e(ie,Bt),b(pn,Bt,null),e(Bt,yd),e(Bt,mn),e(mn,jd),e(mn,_r),e(_r,qd),e(mn,Ed),e(ie,Rd),e(ie,ee),b(dn,ee,null),e(ee,Fd),e(ee,et),e(et,Cd),e(et,$r),e($r,Sd),e(et,zd),e(et,vr),e(vr,Pd),e(et,Ad),e(ee,Nd),b(Ht,ee,null),e(ee,Id),b(Qt,ee,null),e(ee,Ld),b(Vt,ee,null),k(o,qa,$),k(o,tt,$),e(tt,Gt),e(Gt,kr),b(cn,kr,null),e(tt,Dd),e(tt,wr),e(wr,Xd),k(o,Ea,$),k(o,B,$),b(un,B,null),e(B,Ud),e(B,xr),e(xr,Wd),e(B,Bd),e(B,hn),e(hn,Hd),e(hn,Tr),e(Tr,Qd),e(hn,Vd),e(B,Gd),e(B,br),e(br,Jd),e(B,Kd),e(B,A),b(gn,A,null),e(A,Yd),e(A,ot),e(ot,Zd),e(ot,Mr),e(Mr,ec),e(ot,tc),e(ot,Or),e(Or,oc),e(ot,nc),e(A,sc),b(Jt,A,null),e(A,rc),b(Kt,A,null),e(A,ac),b(Yt,A,null),e(A,ic),b(Zt,A,null),k(o,Ra,$),k(o,nt,$),e(nt,eo),e(eo,yr),b(fn,yr,null),e(nt,lc),e(nt,jr),e(jr,pc),k(o,Fa,$),k(o,le,$),b(_n,le,null),e(le,mc),e(le,qr),e(qr,dc),e(le,cc),e(le,to),b($n,to,null),e(to,uc),e(to,vn),e(vn,hc),e(vn,Er),e(Er,gc),e(vn,fc),e(le,_c),e(le,te),b(kn,te,null),e(te,$c),e(te,st),e(st,vc),e(st,Rr),e(Rr,kc),e(st,wc),e(st,Fr),e(Fr,xc),e(st,Tc),e(te,bc),b(oo,te,null),e(te,Mc),b(no,te,null),e(te,Oc),b(so,te,null),k(o,Ca,$),k(o,rt,$),e(rt,ro),e(ro,Cr),b(wn,Cr,null),e(rt,yc),e(rt,Sr),e(Sr,jc),k(o,Sa,$),k(o,H,$),b(xn,H,null),e(H,qc),e(H,zr),e(zr,Ec),e(H,Rc),e(H,Tn),e(Tn,Fc),e(Tn,Pr),e(Pr,Cc),e(Tn,Sc),e(H,zc),e(H,Ar),e(Ar,Pc),e(H,Ac),e(H,oe),b(bn,oe,null),e(oe,Nc),e(oe,at),e(at,Ic),e(at,Nr),e(Nr,Lc),e(at,Dc),e(at,Ir),e(Ir,Xc),e(at,Uc),e(oe,Wc),b(ao,oe,null),e(oe,Bc),b(io,oe,null),e(oe,Hc),b(lo,oe,null),za=!0},p(o,[$]){const Mn={};$&2&&(Mn.$$scope={dirty:$,ctx:o}),ht.$set(Mn);const Lr={};$&2&&(Lr.$$scope={dirty:$,ctx:o}),gt.$set(Lr);const Dr={};$&2&&(Dr.$$scope={dirty:$,ctx:o}),ft.$set(Dr);const Xr={};$&2&&(Xr.$$scope={dirty:$,ctx:o}),$t.$set(Xr);const On={};$&2&&(On.$$scope={dirty:$,ctx:o}),vt.$set(On);const Ur={};$&2&&(Ur.$$scope={dirty:$,ctx:o}),kt.$set(Ur);const Wr={};$&2&&(Wr.$$scope={dirty:$,ctx:o}),xt.$set(Wr);const Br={};$&2&&(Br.$$scope={dirty:$,ctx:o}),Tt.$set(Br);const C={};$&2&&(C.$$scope={dirty:$,ctx:o}),bt.$set(C);const Hr={};$&2&&(Hr.$$scope={dirty:$,ctx:o}),Ot.$set(Hr);const yn={};$&2&&(yn.$$scope={dirty:$,ctx:o}),yt.$set(yn);const Qr={};$&2&&(Qr.$$scope={dirty:$,ctx:o}),jt.$set(Qr);const Vr={};$&2&&(Vr.$$scope={dirty:$,ctx:o}),Et.$set(Vr);const jn={};$&2&&(jn.$$scope={dirty:$,ctx:o}),Rt.$set(jn);const fe={};$&2&&(fe.$$scope={dirty:$,ctx:o}),Ft.$set(fe);const Gr={};$&2&&(Gr.$$scope={dirty:$,ctx:o}),St.$set(Gr);const Jr={};$&2&&(Jr.$$scope={dirty:$,ctx:o}),zt.$set(Jr);const Kr={};$&2&&(Kr.$$scope={dirty:$,ctx:o}),At.$set(Kr);const _e={};$&2&&(_e.$$scope={dirty:$,ctx:o}),Nt.$set(_e);const Yr={};$&2&&(Yr.$$scope={dirty:$,ctx:o}),It.$set(Yr);const Zr={};$&2&&(Zr.$$scope={dirty:$,ctx:o}),Dt.$set(Zr);const ea={};$&2&&(ea.$$scope={dirty:$,ctx:o}),Xt.$set(ea);const ta={};$&2&&(ta.$$scope={dirty:$,ctx:o}),Ut.$set(ta);const pe={};$&2&&(pe.$$scope={dirty:$,ctx:o}),Ht.$set(pe);const qn={};$&2&&(qn.$$scope={dirty:$,ctx:o}),Qt.$set(qn);const oa={};$&2&&(oa.$$scope={dirty:$,ctx:o}),Vt.$set(oa);const En={};$&2&&(En.$$scope={dirty:$,ctx:o}),Jt.$set(En);const na={};$&2&&(na.$$scope={dirty:$,ctx:o}),Kt.$set(na);const me={};$&2&&(me.$$scope={dirty:$,ctx:o}),Yt.$set(me);const sa={};$&2&&(sa.$$scope={dirty:$,ctx:o}),Zt.$set(sa);const ra={};$&2&&(ra.$$scope={dirty:$,ctx:o}),oo.$set(ra);const aa={};$&2&&(aa.$$scope={dirty:$,ctx:o}),no.$set(aa);const ia={};$&2&&(ia.$$scope={dirty:$,ctx:o}),so.$set(ia);const Rn={};$&2&&(Rn.$$scope={dirty:$,ctx:o}),ao.$set(Rn);const la={};$&2&&(la.$$scope={dirty:$,ctx:o}),io.$set(la);const pa={};$&2&&(pa.$$scope={dirty:$,ctx:o}),lo.$set(pa)},i(o){za||(M(n.$$.fragment,o),M(ho.$$.fragment,o),M(go.$$.fragment,o),M(xo.$$.fragment,o),M(To.$$.fragment,o),M(Mo.$$.fragment,o),M(Oo.$$.fragment,o),M(yo.$$.fragment,o),M(jo.$$.fragment,o),M(qo.$$.fragment,o),M(Ro.$$.fragment,o),M(ht.$$.fragment,o),M(gt.$$.fragment,o),M(ft.$$.fragment,o),M(Fo.$$.fragment,o),M(Co.$$.fragment,o),M(zo.$$.fragment,o),M($t.$$.fragment,o),M(vt.$$.fragment,o),M(kt.$$.fragment,o),M(Po.$$.fragment,o),M(Ao.$$.fragment,o),M(Io.$$.fragment,o),M(xt.$$.fragment,o),M(Tt.$$.fragment,o),M(bt.$$.fragment,o),M(Lo.$$.fragment,o),M(Do.$$.fragment,o),M(Uo.$$.fragment,o),M(Ot.$$.fragment,o),M(yt.$$.fragment,o),M(jt.$$.fragment,o),M(Wo.$$.fragment,o),M(Bo.$$.fragment,o),M(Qo.$$.fragment,o),M(Et.$$.fragment,o),M(Rt.$$.fragment,o),M(Ft.$$.fragment,o),M(Vo.$$.fragment,o),M(Go.$$.fragment,o),M(Ko.$$.fragment,o),M(St.$$.fragment,o),M(zt.$$.fragment,o),M(Yo.$$.fragment,o),M(Zo.$$.fragment,o),M(tn.$$.fragment,o),M(At.$$.fragment,o),M(Nt.$$.fragment,o),M(It.$$.fragment,o),M(on.$$.fragment,o),M(nn.$$.fragment,o),M(rn.$$.fragment,o),M(Dt.$$.fragment,o),M(Xt.$$.fragment,o),M(Ut.$$.fragment,o),M(an.$$.fragment,o),M(ln.$$.fragment,o),M(pn.$$.fragment,o),M(dn.$$.fragment,o),M(Ht.$$.fragment,o),M(Qt.$$.fragment,o),M(Vt.$$.fragment,o),M(cn.$$.fragment,o),M(un.$$.fragment,o),M(gn.$$.fragment,o),M(Jt.$$.fragment,o),M(Kt.$$.fragment,o),M(Yt.$$.fragment,o),M(Zt.$$.fragment,o),M(fn.$$.fragment,o),M(_n.$$.fragment,o),M($n.$$.fragment,o),M(kn.$$.fragment,o),M(oo.$$.fragment,o),M(no.$$.fragment,o),M(so.$$.fragment,o),M(wn.$$.fragment,o),M(xn.$$.fragment,o),M(bn.$$.fragment,o),M(ao.$$.fragment,o),M(io.$$.fragment,o),M(lo.$$.fragment,o),za=!0)},o(o){O(n.$$.fragment,o),O(ho.$$.fragment,o),O(go.$$.fragment,o),O(xo.$$.fragment,o),O(To.$$.fragment,o),O(Mo.$$.fragment,o),O(Oo.$$.fragment,o),O(yo.$$.fragment,o),O(jo.$$.fragment,o),O(qo.$$.fragment,o),O(Ro.$$.fragment,o),O(ht.$$.fragment,o),O(gt.$$.fragment,o),O(ft.$$.fragment,o),O(Fo.$$.fragment,o),O(Co.$$.fragment,o),O(zo.$$.fragment,o),O($t.$$.fragment,o),O(vt.$$.fragment,o),O(kt.$$.fragment,o),O(Po.$$.fragment,o),O(Ao.$$.fragment,o),O(Io.$$.fragment,o),O(xt.$$.fragment,o),O(Tt.$$.fragment,o),O(bt.$$.fragment,o),O(Lo.$$.fragment,o),O(Do.$$.fragment,o),O(Uo.$$.fragment,o),O(Ot.$$.fragment,o),O(yt.$$.fragment,o),O(jt.$$.fragment,o),O(Wo.$$.fragment,o),O(Bo.$$.fragment,o),O(Qo.$$.fragment,o),O(Et.$$.fragment,o),O(Rt.$$.fragment,o),O(Ft.$$.fragment,o),O(Vo.$$.fragment,o),O(Go.$$.fragment,o),O(Ko.$$.fragment,o),O(St.$$.fragment,o),O(zt.$$.fragment,o),O(Yo.$$.fragment,o),O(Zo.$$.fragment,o),O(tn.$$.fragment,o),O(At.$$.fragment,o),O(Nt.$$.fragment,o),O(It.$$.fragment,o),O(on.$$.fragment,o),O(nn.$$.fragment,o),O(rn.$$.fragment,o),O(Dt.$$.fragment,o),O(Xt.$$.fragment,o),O(Ut.$$.fragment,o),O(an.$$.fragment,o),O(ln.$$.fragment,o),O(pn.$$.fragment,o),O(dn.$$.fragment,o),O(Ht.$$.fragment,o),O(Qt.$$.fragment,o),O(Vt.$$.fragment,o),O(cn.$$.fragment,o),O(un.$$.fragment,o),O(gn.$$.fragment,o),O(Jt.$$.fragment,o),O(Kt.$$.fragment,o),O(Yt.$$.fragment,o),O(Zt.$$.fragment,o),O(fn.$$.fragment,o),O(_n.$$.fragment,o),O($n.$$.fragment,o),O(kn.$$.fragment,o),O(oo.$$.fragment,o),O(no.$$.fragment,o),O(so.$$.fragment,o),O(wn.$$.fragment,o),O(xn.$$.fragment,o),O(bn.$$.fragment,o),O(ao.$$.fragment,o),O(io.$$.fragment,o),O(lo.$$.fragment,o),za=!1},d(o){t(s),o&&t(_),o&&t(d),y(n),o&&t(v),o&&t(E),y(ho),o&&t(ma),o&&t(F),y(go),y(xo),y(To),y(Mo),y(Oo),o&&t(da),o&&t(Ae),y(yo),o&&t(ca),o&&t(ae),y(jo),y(qo),y(Ro),y(ht),y(gt),y(ft),o&&t(ua),o&&t(Ie),y(Fo),o&&t(ha),o&&t(N),y(Co),y(zo),y($t),y(vt),y(kt),o&&t(ga),o&&t(De),y(Po),o&&t(fa),o&&t(I),y(Ao),y(Io),y(xt),y(Tt),y(bt),o&&t(_a),o&&t(Ue),y(Lo),o&&t($a),o&&t(L),y(Do),y(Uo),y(Ot),y(yt),y(jt),o&&t(va),o&&t(Be),y(Wo),o&&t(ka),o&&t(D),y(Bo),y(Qo),y(Et),y(Rt),y(Ft),o&&t(wa),o&&t(Qe),y(Vo),o&&t(xa),o&&t(X),y(Go),y(Ko),y(St),y(zt),o&&t(Ta),o&&t(Ge),y(Yo),o&&t(ba),o&&t(U),y(Zo),y(tn),y(At),y(Nt),y(It),o&&t(Ma),o&&t(Ke),y(on),o&&t(Oa),o&&t(W),y(nn),y(rn),y(Dt),y(Xt),y(Ut),o&&t(ya),o&&t(Ze),y(an),o&&t(ja),o&&t(ie),y(ln),y(pn),y(dn),y(Ht),y(Qt),y(Vt),o&&t(qa),o&&t(tt),y(cn),o&&t(Ea),o&&t(B),y(un),y(gn),y(Jt),y(Kt),y(Yt),y(Zt),o&&t(Ra),o&&t(nt),y(fn),o&&t(Fa),o&&t(le),y(_n),y($n),y(kn),y(oo),y(no),y(so),o&&t(Ca),o&&t(rt),y(wn),o&&t(Sa),o&&t(H),y(xn),y(bn),y(ao),y(io),y(lo)}}}const bg={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForMaskedLM",title:"ORTModelForMaskedLM"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function Mg(q){return Lh(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fg extends Ph{constructor(s){super();Ah(this,s,Mg,Tg,Nh,{})}}export{Fg as default,bg as metadata};
